%define _jarsign_opts --nocopy

%define as_major 5
%define as_minor 1
%define as_rev 1

Summary:        JBoss AS TP licenses
Name:           jbossas-tp-licenses
Version:        %{as_major}.%{as_minor}.%{as_rev}
Release:        1%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Installer
URL:            http://www.jboss.org/

BuildRequires: jbossas-tp-mead
BuildRequires: zip, unzip

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:     noarch

%description
This package contains additional TP licenses from JBoss AS

%prep

%build
unzip %{_javadir}/jbossas-fordev/jboss-as-thirdparty-%{version}-thirdparty.zip jboss-as-thirdparty-5.1.1/licenses/*

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses
install -m 644 jboss-as-thirdparty-5.1.1/licenses/Apache\ 2\ -\ LICENSE-2.0.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/BSD\ License\ -\ license.html  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/CPL\ -\ cpl1.0.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/Common\ Development\ And\ Distribution\ License\ \(CDDL\)\ Version\ 1.0\ -\ cddl.html  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/Common\ Public\ License\ Version\ 1.0\ -\ cpl1.0.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/GNU\ Lesser\ General\ Public\ License\ \(LGPL\)\ -\ lgpl.html  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/GNU\ Lesser\ General\ Public\ License\ -\ lgpl.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/GNU\ Lesser\ General\ Public\ License\ 2.1\ -\ lgpl-2.1.php  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/The\ Berkeley\ DB\ Java\ Edition\ License\ -\ jeoslicense.html  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/apache-2.0\ -\ LICENSE-2.0.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/hsqldb\ -\ hsqldb.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/
install -m 644 jboss-as-thirdparty-5.1.1/licenses/nekohtml\ -\ nekohtml.txt  $RPM_BUILD_ROOT%{_docdir}/jbossas-%{version}/licenses/

%files
%defattr(-,root,root,-)
%dir %{_docdir}/jbossas-%{version}
%dir %{_docdir}/jbossas-%{version}/licenses
%{_docdir}/jbossas-%{version}/*

%changelog
* Wed Jun 15 2011 Permaine Cheung <pcheung@redhat.com> 5.1.1-1
- First release
